#### Mono.Android.dll Nullable Reference Type Annotations

`Mono.Android.dll` assemblies of all platform levels are now annotated with 
C#8's nullable reference types (NRT).  Users who opt their applications into 
this feature with `<Nullable>enable</Nullable>` will receive warnings if their 
code does not properly account for possible `null` values.

General documentation for the NRT feature is available here: 
https://docs.microsoft.com/en-us/dotnet/csharp/nullable-references.

Note:
The majority of `Mono.Android.dll` is automatically generated from the Android 
Java source, including these new annotations.  As such, we will not be manually 
fixing places where the Android source code is not annotated correctly.

If there is an error regarding nullability for any of the Mono.Android APIs 
that Xamarin adds to the Android source (such as `JavaList` or `InputStreamAdapter`), 
please file a bug so we can properly annotate our additions.